petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPSetComputeSingularValues

Sets a flag so that the extreme singular values will be calculated via a Lanczos or Arnoldi process as the linear system is solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetComputeSingularValues(KSP ksp,PetscBool flg)

Logically Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| flg | - PETSC_TRUE or PETSC_FALSE

### Options Database Key

-ksp_monitor_singular_value -Activates KSPSetComputeSingularValues()

### Notes

Currently this option is not valid for all iterative methods.

Many users may just want to use the monitoring routine KSPMonitorSingularValue() (which can be set with option -ksp_monitor_singular_value) to print the singular values at each iteration of the linear solve.

### Keywords

KSP, set, compute, singular values

### See Also

KSPComputeExtremeSingularValues(), KSPMonitorSingularValue()

Level:advanced
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex30.c.html